Agora Java API Reference for Android

Public Member Functions | List of all members
agora::rtc::ILipSyncFilter::Control Class Referenceabstract
Inheritance diagram for agora::rtc::ILipSyncFilter::Control:

## Public Member Functions
virtual int | postEvent (const char *key, const char *value)=0
| Post an event and notify the end users. More...
virtual void | printLog (commons::LOG_LEVEL level, const char *format,...)=0
| print log to the SDK. More...
virtual void | disableMe (int error, const char *msg)=0
| Ask SDK to disable the current filter if a fatal error is detected. More...
virtual void | ReportCounter (int32_t counter_id, int32_t value)=0
| report counter to the SDK. More...
virtual int | GetStats (int32_t counter_id)=0
| get stats to the SDK. More...
Public Member Functions inherited from agora::RefCountInterface
virtual void | AddRef () const =0
virtual RefCountReleaseStatus | Release () const =0
virtual bool | HasOneRef () const =0

## Member Function Documentation

## ◆ postEvent()

virtual int agora::rtc::ILipSyncFilter::Control::postEvent | ( | const char * | key,
|  | const char * | value
| ) |  |
| pure virtual

Post an event and notify the end users.

Parameters

  key | '\0' ended string that describes the key of the event
  value | '\0' ended string that describes the value of the event

## ◆ printLog()

virtual void agora::rtc::ILipSyncFilter::Control::printLog | ( | commons::LOG_LEVEL | level,
|  | const char * | format,
|  |  | ...
| ) |  |
| pure virtual

print log to the SDK.

Parameters

  level | Log level agora::commons::LOG_LEVEL
  format | log formatter string
  ... | variadic arguments

## ◆ disableMe()

virtual void agora::rtc::ILipSyncFilter::Control::disableMe | ( | int | error,
|  | const char * | msg
| ) |  |
| pure virtual

Ask SDK to disable the current filter if a fatal error is detected.

Parameters

  error | error code
  msg | error message

## ◆ ReportCounter()

virtual void agora::rtc::ILipSyncFilter::Control::ReportCounter | ( | int32_t | counter_id,
|  | int32_t | value
| ) |  |
| pure virtual

report counter to the SDK.

Parameters

  counter_id | counter id
  value | counter value

## ◆ GetStats()

virtual int agora::rtc::ILipSyncFilter::Control::GetStats | ( | int32_t | counter_id | ) |
| pure virtual

get stats to the SDK.

Parameters

  counter_id | counter id